<?php



namespace app\common\model\store\shipping;

use app\common\model\BaseModel;

class ExpressPartner extends BaseModel
{
    /**
     * @Author:Qinii
     * @return string
     */
    public  static function tablePk():string
    {
        return 'id';
    }

    /**
     * @Author:Qinii
     * @return string
     */
    public static function tableName():string
    {
        return 'express_partner';
    }

    public function searchMerIdAttr($query,$value)
    {
        $query->where('mer_id',$value);
    }

    public function searchExpressIdAttr($query,$value)
    {
        $query->where('express_id',$value);
    }

    public function searchStatusAttr($query,$value)
    {
        $query->where('status',$value);
    }

}
